Loading...
Searching...
No Matches
http_tag_class.h File Reference

Tag classes for HTTP headers. More...

`#include <sofia-sip/su_tag_class.h>`
`#include <sofia-sip/msg_tag_class.h>`
Include dependency graph for http_tag_class.h:

Go to the source code of this file.

## Macros

#define | HTTP_TAG_CLASS_H
| Defined when http_tag_class.h have been included.
#define | HTTPHDRTAG_NAMED_TYPEDEF(n, t)
| Define a named tag type for HTTP header t.
#define | HTTPHDRTAG_TYPEDEF(t)
| Define a tag type for HTTP header t.
#define | HTTPSTRTAG_TYPEDEF(t)
| Define a string tag type for HTTP header t.
#define | HTTPMSGTAG_TYPEDEF(t)
| Define a tag type for HTTP message t.

## Functions

tagi_t * | httptag_filter (tagi_t *dst, tagi_t const f[], tagi_t const *src, void **bb)
| Filter a HTTP header structure.

## Detailed Description

Tag classes for HTTP headers.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Wed Feb 21 11:01:45 2001 ppessi

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.